#
# spec file for package mate-polkit
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname  libpolkit-gtk-mate-1
%define sover   0
%define typelib typelib-1_0-PolkitGtkMate-1.0
%define _name   polkit-mate-1
%define _version 1.18
Name:           mate-polkit
Version:        1.18.1
Release:        1.1
Summary:        MATE authentification agent for polkit
License:        LGPL-2.0+
Group:          System/GUI/Other
Url:            https://mate-desktop.org/
Source:         http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  mate-common >= %{_version}
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14
BuildRequires:  pkgconfig(polkit-agent-1)
Recommends:     %{name}-lang
%if !(0%{?sle_version} >= 120000 && !0%{?is_opensuse})
BuildRequires:  pkgconfig(appindicator3-0.1)
%endif

%description
mate-polkit provides a D-Bus session bus service that is used to bring
up authentication dialogs used for obtaining privileges.

%package -n %{typelib}
Summary:        The MATE library typelib
Group:          System/GUI/Other

%description -n %{typelib}
This package contains the typelib files for the base MATE library
functions.

%package -n %{soname}-%{sover}
Summary:        MATE authentification agent shared libraries
Group:          System/Libraries

%description -n %{soname}-%{sover}
mate-polkit provides a D-Bus session bus service that is used to bring
up authentication dialogs used for obtaining privileges.

%package devel
Summary:        MATE authentification agent development files
Group:          Development/Libraries/Other
Requires:       %{soname}-%{sover} = %{version}
Requires:       %{typelib} = %{version}

%description devel
mate-polkit provides a D-Bus session bus service that is used to bring
up authentication dialogs used for obtaining privileges.

%lang_package

%prep
%setup -q

%build
NOCONFIGURE=1 mate-autogen
%configure \
  --disable-static                        \
  --libexecdir=%{_libexecdir}/polkit-mate
make %{?_smp_mflags} V=1

%install
%make_install

%find_lang %{name} %{?no_lang_C}
find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file %{buildroot}%{_sysconfdir}/xdg/autostart/polkit-mate-authentication-agent-1.desktop

%post -n %{soname}-%{sover} -p /sbin/ldconfig

%postun -n %{soname}-%{sover} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/xdg/autostart/polkit-mate-authentication-agent-1.desktop
%dir %{_libexecdir}/polkit-mate/
%{_libexecdir}/polkit-mate/polkit-mate-authentication-agent-1

%files -n %{typelib}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/PolkitGtkMate-1.0.typelib

%files -n %{soname}-%{sover}
%defattr(-,root,root)
%{_libdir}/%{soname}.so.%{sover}*

%files devel
%defattr(-,root,root)
%{_includedir}/polkit-gtk-mate-1/
%{_libdir}/%{soname}.so
%{_libdir}/pkgconfig/polkit-gtk-mate-1.pc
%{_datadir}/gir-1.0/PolkitGtkMate-1.0.gir

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue May  9 2017 sor.alexei@meowr.ru
- Update to version 1.18.1:
  * Fix broken status icon if using GtkStatusIcon.
  * Update translations.
* Tue Mar 14 2017 sor.alexei@meowr.ru
- Update to version 1.18.0:
  * NEWS: use consistent, project wide, markdown-like formatting to
    make generating release announcements easier.
  * Fix some GTK+ deprecations.
  * Update translations.
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Move to GTK+3 (require GTK+ >= 3.14), drop GTK+2 code and
  - -with-gtk build option
  * Update translations.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 1.14.0:
  * Update translations.
  * Add Changelog generation.
* Mon Jan 25 2016 sor.alexei@meowr.ru
- Update to version 1.13.0:
  * Gtk3: Fix several deprecations.
* Sun Jan  3 2016 sor.alexei@meowr.ru
- Switch to Gtk3.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Update to 1.12.0.
- Add baselibs.conf.
* Wed Oct 14 2015 sor.alexei@meowr.ru
- Update to 1.11.0:
  * GTK+3: add support for application indicators as well.
  * Some fixes and cleanups.
* Fri Sep 18 2015 sor.alexei@meowr.ru
- Update to 1.10.2:
  * Return error when authentication dialog is dismissed.
  * Optionally use accountsservice to retrieve face.
  * Add support for autorestart.
  * Select the current user to authenticate by default.
  * Add support for application indicators.
  * Gtk3: Auth dialog: make the label wrap at 50 chars.
* Wed Sep  2 2015 sor.alexei@meowr.ru
- Update to 1.10.1:
  * Fix losing focus when displaying password prompt dialog.
  * Drop some deprecated GTK+ code and obsolete build macro.
  * Update translations.
* Wed Apr 15 2015 p.drouand@gmail.com
- Update to version 1.10.0
  * No changes since version 1.9.90
* Mon Mar 23 2015 p.drouand@gmail.com
- Update to version 1.9.90 (unstable)
  * Translations updates
* Sun Oct 26 2014 p.drouand@gmail.com
- Update to version 1.9.0 (unstable)
  + Fix documentation license
    Closes #15 (https://github.com/mate-desktop/mate-polkit/issues/15)
- Minimal required version of mate-common is 1.9.0
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + no changes since version 1.7.90
* Sat Feb 15 2014 p.drouand@gmail.com
- Update to version 1.7.90 (unstable)
  + major GTK3 improvements
* Mon Feb 10 2014 p.drouand@gmail.com
- Update to version 1.7.2 (unstable)
  + fix gtk-doc generation
  + update translations
- Changes from version 1.7.1
  + fix g_type_init deprecation
  + fix Makefile
  + fixes for make dist
  + use GTK_API_VERSION for gir-scanner
- Changes from version 1.7.0 (unstable)
  + use GtkBox in GTK3 instead of GtkHBox
  + allow deprecations to fix build with GTK3
  + get makefile compatible with automake-1.13
  + fix redundant entries name and comment in desktop file
  + initial GTK3 support
* Wed Jan  1 2014 p.drouand@gmail.com
- Update to version 1.6.1
  + Resurrect lost gtk doc xml file
  + Update POTFILES.skip
  + Use AM_CPPFLAGS instead of INCLUDES
  + Create xz tarballs
  + Add ChangeLog gen dist-hook
  + small autofoo fixes
  + Fixes for make dist
  + Add DISTCHECK_CONFIGURE_FLAGS for gtk doc and small autofoo fix
  + fix redundant entries name and comment in desktop file
* Wed Dec 18 2013 cfarrell@suse.com
- license update: LGPL-2.0+
  See COPYING
* Wed Dec 18 2013 p.drouand@gmail.com
- mate-polkit is licensed under GPLv2 and not GPLv3; change it
  in spec
* Fri Sep 20 2013 p.drouand@gmail.com
- Correct library subpackage group to System/Libraries
* Sat Apr  6 2013 p.drouand@gmail.com
- Split out the Typelib; fix shlib-fixed-dependency warning
* Wed Apr  3 2013 johann.luce@wanadoo.fr
- Update to version 1.6.0
  + update translations
  + fix deprecation, compile error & warnings
  + fix incorrect FSF addresses
* Wed Oct 10 2012 nmo.marques@gmail.com
- Update to version 1.5.0
  + no changelog available
* Sat Sep  8 2012 nmo.marques@gmail.com
- copypac to X11:MATE
  + minor cosmetic fixes
- update to version 1.4.0
  + fix %%find_lang macro; upstream changed language file names
* Sat Jun 16 2012 nmo.marques@gmail.com
- update to version 1.2.0
* Sun Jan 22 2012 nmarques@opensuse.org
- initial package from version 1.1.1
